UbixOS V2 2.0

Functions
vfs.c File Reference
`#include <vfs/vfs.h>`
`#include <ubixos/vitals.h>`
`#include <lib/kmalloc.h>`
`#include <lib/kprintf.h>`
`#include <string.h>`
`#include <sys/descrip.h>`
Include dependency graph for vfs.c:

Go to the source code of this file.

## Functions
int | vfs_init ()
struct fileSystem * | vfsFindFS (int vfsType)
int | vfsRegisterFS (struct fileSystem newFS)
| register a file system More...

## Function Documentation

## ◆ vfs_init()

int vfs_init | ( |  | ) |

Definition at line 46 of file vfs.c.

References vitalsStruct::fileSystems, kprintf(), and systemVitals.

Here is the call graph for this function:

## ◆ vfsFindFS()

struct fileSystem* vfsFindFS | ( | int | vfsType | ) |

Definition at line 57 of file vfs.c.

References vitalsStruct::fileSystems, fileSystem::next, systemVitals, and fileSystem::vfsType.

Referenced by vfs_mount().

## ◆ vfsRegisterFS()

int vfsRegisterFS | ( | struct fileSystem | newFS | ) |

register a file system

This registers a new filesystem into the vfs which is referenced when trying to mount a device

Parameters

  newFS | pointer to fileSystem structure

Definition at line 79 of file vfs.c.

Referenced by fat_init().